AbstractOrthoPairSet (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.AbstractOrthoPairSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class AbstractOrthoPairSet

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.program.homologene.AbstractOrthoPairSet

All Implemented Interfaces:
  OrthoPairSet, Changeable

Direct Known Subclasses:
  SimpleOrthoPairSet

    public abstract class AbstractOrthoPairSet

extends AbstractChangeable
implements OrthoPairSet

represents the Homologene Group.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthoPairSet
`OrthoPairSet.Iterator`

Field Summary

Fields inherited from interface org.biojava.bio.program.homologene.OrthoPairSet
`MODIFY`

Constructor Summary
`AbstractOrthoPairSet()`

Method Summary
`OrthoPairSet` | `filter(OrthoPairFilter filter)` filter an OrthoPairSet

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.bio.program.homologene.OrthoPairSet
`addOrthoPair, getMinIdentity, getName, getTaxa, iterator, removeOrthoPair, setName, size`

Constructor Detail

### AbstractOrthoPairSet

    public AbstractOrthoPairSet()

Method Detail

### filter

    public OrthoPairSet filter(OrthoPairFilter filter)

  Description copied from interface: `OrthoPairSet`
  filter an OrthoPairSet

  Specified by:
    `filter` in interface `OrthoPairSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD